> For the complete documentation index, see [llms.txt](https://developers.bloomcredit.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.bloomcredit.io/docs/v2.1/enablement-services/enablement-services-getting-started/importing-existing-consumers-into-enablement-services.md).

# Importing Existing Consumers into Enablement Services

If you have used Bloom's core API before, you have likely created [Consumers](/reference/v2.1/core/consumers.md). These can be imported into enablement services with the [ImportUser](/docs/v2.1/enablement-services/enablement_gql_ref.md#mutation-importuser) mutation.

1. Get the Bloom consumer identifier (UUID), the same one used in the core [HTTP consumer endpoints](/reference/v2.1/core/consumers.md).

   1. This user **must** have email address and phone number set.
   2. Below is an example valid user:

   <pre data-title="JSON"><code>{
       "data": {
           "id": "2d6872a1-e6e9-4735-a82f-0df00a7e14d1",
           "type": "consumers",
           "attributes": {
               "ssn": "123456789",
               "date_of_birth": "1986-06-14",
               "emails": [
                   {
                       "email_address": "buzz.inga@bloomcredit.io",
                       "type": "personal",
                       "primary": true
                   }
               ],
               "name": {
                   "first_name": "Buzz",
                   "last_name": "Inga"
               },
               "addresses": [
                   {
                       "id": "5693df1b-f743-4f3c-9449-57b9a7c0b243",
                       "line1": "123 Main St",
                       "city": "Athens",
                       "state_code": "FL",
                       "zipcode": "37745",
                       "primary": true
                   }
               ],
               "phones": [
                   {
                       "phone_number": "1234567890",
                       "type": "personal",
                       "primary": true
                   }
               ]
           }
       }
   }
   </code></pre>

   <br>
2. Call the [ImportUser](/docs/v2.1/enablement-services/enablement_gql_ref.md#mutation-importuser) mutation.

{% code title="GraphQL" %}

```
mutation ImportUser {
    importUser(input: { id: "2d6872a1-e6e9-4735-a82f-0df00a7e14d1" }) {
        user {
            id
            email
            phoneNumber
            status
            syncedAt
            closedAt
            name {
                first
                middle
                last
            }
        }
    }
}
```

{% endcode %}

3. A sample response:

{% code title="JSON" %}

```
{
    "data": {
        "importUser": {
            "user": {
                "id": "2d6872a1-e6e9-4735-a82f-0df00a7e14d1",
                "email": "buzz.inga@bloomcredit.io",
                "phoneNumber": "1234567890",
                "status": "VERIFIED",
                "syncedAt": null,
                "closedAt": null,
                "name": {
                    "first": "Buzz",
                    "middle": null,
                    "last": "Inga"
                }
            }
        }
    }
}
```

{% endcode %}

4. Now you can use this user just like any other enablement services user. The user id is the same as the one that you imported.
   1. In the above example, that would be `2d6872a1-e6e9-4735-a82f-0df00a7e14d1`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.bloomcredit.io/docs/v2.1/enablement-services/enablement-services-getting-started/importing-existing-consumers-into-enablement-services.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
